> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue

> Issue endpoints: Create Issue, Get Issue, Get Issues, Update Issue, Delete Issue

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Issue",
            "description": "Issue endpoints: Create Issue, Get Issue, Get Issues, Update Issue, Delete Issue",
            "url": "https://docs.dqlabs.ai/api-reference/metrics/issue",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Issue">
    `POST /api/v1/metrics/issue`

    Create a new issue.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/issue" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new issue.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Issue">
    `GET /api/v1/metrics/issue/{issueId}`

    Get an issue by ID

    **Path Parameters**

    <ParamField path="issueId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="metric_id" type="string">
        Example: `"a738e99c-611d-4b7c-b0da-38a503af565e"`.
      </ResponseField>

      <ResponseField name="asset_id" type="string">
        Example: `"ded2e3a7-bae5-48cd-b4d0-d58405b67399"`.
      </ResponseField>

      <ResponseField name="metric_detail_id" type="string">
        Example: `"c298a82a-46c5-40ac-8f77-8dbb15f989a0"`.
      </ResponseField>

      <ResponseField name="alert_id" type="string">
        Example: `"fed4b1c3-e1aa-4157-a78f-d135e4ca32fb"`.
      </ResponseField>

      <ResponseField name="issue_ref_id" type="string">
        Example: `"ISU-133"`.
      </ResponseField>

      <ResponseField name="run_id" type="string">
        Example: `"96f52ec6-cf38-4823-899e-ab09e5813224"`.
      </ResponseField>

      <ResponseField name="description" type="string">
        Example: `"New metric condition failed — 198 observed vs. expected > 2"`.
      </ResponseField>

      <ResponseField name="status" type="string">
        Example: `"NEW"`.
      </ResponseField>

      <ResponseField name="severity" type="string">
        Example: `"HIGH"`.
      </ResponseField>

      <ResponseField name="expected_resolution" type="string">
        Example: `"2026-09-20T18:37:41.669314Z"`.
      </ResponseField>

      <ResponseField name="is_sla_breached" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="qualified_name" type="string">
        Example: `"`main`.`qa\_data\_quality`.`customer\_orders`"`.
      </ResponseField>

      <ResponseField name="asset_type" type="string">
        Example: `"TABLE"`.
      </ResponseField>

      <ResponseField name="asset_name" type="string">
        Example: `"customer_orders"`.
      </ResponseField>

      <ResponseField name="ai_insights" type="object">
        <ResponseField name="sla_summary" type="object">
          <ResponseField name="aiInsight" type="string">
            Example: `"The issue has been active for 10 seconds with 4 minutes and 50 seconds remaining before the SLA breach, indicating 3% of the resolve target time has been used and the SLA clock is currently on track. No pause events have been logged, so the SLA timer has been running continuously. There are no recommended action items to address at this time. Continue monitoring the issue closely to ensure resolution within the SLA timeframe."`.
          </ResponseField>

          <ResponseField name="generatedAt" type="string">
            Example: `"2026-09-20T18:32:54.057Z"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="issue_summary" type="object">
          <ResponseField name="systems" type="object[]" />

          <ResponseField name="aiInsight" type="string">
            Example: `"A high severity data quality issue has been detected with the 'New metric', which quantifies key data insights. The issue is currently new and involves the metric condition failing, with an observed value of 198 significantly exceeding the expected threshold of greater than 2. This discrepancy triggered a high priority alert with no percentage change, indicating a critical deviation that may impact analysis and decision-making processes."`.
          </ResponseField>
        </ResponseField>
      </ResponseField>

      <ResponseField name="id" type="string">
        Example: `"50477e87-1f7f-4b29-b7af-4e86169b908a"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-20T18:32:41.479931Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-20T18:40:23.177673Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
      </ResponseField>

      <ResponseField name="modified_by" type="string">
        Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
      </ResponseField>

      <ResponseField name="metric_name" type="string">
        Example: `"New metric"`.
      </ResponseField>

      <ResponseField name="metric_type" type="string">
        Example: `"custom"`.
      </ResponseField>

      <ResponseField name="metric_duration" type="string">
        Example: `"PT1.746622S"`.
      </ResponseField>

      <ResponseField name="metric_detail_context" type="string">
        Example: `"Business"`.
      </ResponseField>

      <ResponseField name="metric_detail_category" type="string">
        Example: `"Query"`.
      </ResponseField>

      <ResponseField name="metric_detail_subcategory" type="string">
        Example: `"Custom"`.
      </ResponseField>

      <ResponseField name="metric_detail_dimension" type="string">
        Example: `"Accuracy"`.
      </ResponseField>

      <ResponseField name="metric_detail_sigma" type="number">
        Example: `0.0`.
      </ResponseField>

      <ResponseField name="metric_detail_pass_criteria" type="object" />

      <ResponseField name="metric_detail_query" type="string">
        Example: `"SELECT\n  *\nFROM\n  `main`.`qa\_data\_quality`.`customer\_orders`\nWHERE\n  `payment\_method` = 'UPI'"`.
      </ResponseField>

      <ResponseField name="percentage_change" type="number">
        Example: `0.0`.
      </ResponseField>

      <ResponseField name="priority" type="string">
        Example: `"HIGH"`.
      </ResponseField>

      <ResponseField name="value" type="number">
        Example: `198.0`.
      </ResponseField>

      <ResponseField name="threshold" type="object">
        <ResponseField name="lower_threshold" type="number">
          Example: `198.0`.
        </ResponseField>

        <ResponseField name="upper_threshold" type="number">
          Example: `198.0`.
        </ResponseField>

        <ResponseField name="manual_threshold" type="string">
          Example: `"> 2"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="message" type="string">
        Example: `"New metric condition failed — 198 observed vs. expected > 2"`.
      </ResponseField>

      <ResponseField name="marked_as" type="string">
        Example: `"ACTIVE"`.
      </ResponseField>

      <ResponseField name="collected_at" type="string">
        Example: `"2026-09-20T18:22:42.310369Z"`.
      </ResponseField>

      <ResponseField name="alert_run_id" type="string">
        Example: `"96f52ec6-cf38-4823-899e-ab09e5813224"`.
      </ResponseField>

      <ResponseField name="source_id" type="string">
        Example: `"29029298-eeb0-4eae-b4c5-5c5b7cb38647"`.
      </ResponseField>

      <ResponseField name="source_metric_descr" type="string">
        Example: `"New metric is a metric that quantifies a specific aspect of data to provide measurable insight. It exists to enable consistent evaluation and comparison across relevant data points, supporting analysis and decision-making processes through a clear and standardized measurement."`.
      </ResponseField>

      <ResponseField name="owner" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"329d2e0c-458c-43f6-9852-f0464551d528"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"version release"`.
        </ResponseField>

        <ResponseField name="owner_type" type="string">
          Example: `"Business"`.
        </ResponseField>

        <ResponseField name="owner_source" type="string">
          Example: `"entity"`.
        </ResponseField>

        <ResponseField name="is_propagated" type="boolean">
          Example: `false`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="alert_clusters" type="object[]" />

      <ResponseField name="external_id" type="object">
        <ResponseField name="jira" type="object">
          <ResponseField name="id" type="string">
            Example: `"13400"`.
          </ResponseField>

          <ResponseField name="key" type="string">
            Example: `"KAN-338"`.
          </ResponseField>

          <ResponseField name="resolution_note_comment_id" type="string">
            Example: `"10758"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="servicenow" type="object">
          <ResponseField name="number" type="string">
            Example: `"INC0010566"`.
          </ResponseField>

          <ResponseField name="sys_id" type="string">
            Example: `"e2fd89c073e30350deceff604ab8b7df"`.
          </ResponseField>
        </ResponseField>
      </ResponseField>

      <ResponseField name="jira_url" type="string">
        Example: `"https://dqlabs-team-c3g822r8.atlassian.net"`.
      </ResponseField>

      <ResponseField name="servicenow_url" type="string">
        Example: `"https://dev427593.service-now.com/"`.
      </ResponseField>

      <ResponseField name="parents" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"385d4927-2483-4e94-a568-be425682a9a8"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"main"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"DATABASE"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="source_type" type="string">
        Example: `"DATABRICKS"`.
      </ResponseField>

      <ResponseField name="total_conversations" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="recent_conversations" type="object[]" />

      <ResponseField name="attachment_urls" type="object[]">
        <ResponseField name="url" type="string">
          Example: `"https://adlsdqconnector.blob.core.windows.net/azure-databricks-unity-catalog/uc_managed_storage/assets/issue-attachment/timeline-screenshot-1789929165267.png-50ccba2f.png"`.
        </ResponseField>

        <ResponseField name="auto" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="file_id" type="string">
          Example: `"dc6b3f77-173c-4fad-8fa6-3960abee1adc"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="audiences" type="object[]" />

      <ResponseField name="affected_assets" type="integer">
        Example: `3`.
      </ResponseField>

      <ResponseField name="affected_reports" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="linked_alerts" type="integer">
        Example: `1`.
      </ResponseField>

      <ResponseField name="action_items" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"56ba79f0-1385-4de1-bf30-8c39f3cce862"`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"open"`.
        </ResponseField>

        <ResponseField name="issue_id" type="string">
          Example: `"50477e87-1f7f-4b29-b7af-4e86169b908a"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T18:32:55.667104+00:00"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>

        <ResponseField name="action_item" type="string">
          Example: `"Conduct an immediate impact assessment with business owners and data consumers to understand the operational consequences and prioritize remediation efforts."`.
        </ResponseField>

        <ResponseField name="approved_at" type="string" />

        <ResponseField name="approved_by" type="object[]" />

        <ResponseField name="assigned_to" type="object[]" />

        <ResponseField name="is_ai_generated" type="boolean">
          Example: `true`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="recent_alerts" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"fed4b1c3-e1aa-4157-a78f-d135e4ca32fb"`.
        </ResponseField>

        <ResponseField name="value" type="integer">
          Example: `198`.
        </ResponseField>

        <ResponseField name="message" type="string">
          Example: `"New metric condition failed — 198 observed vs. expected > 2"`.
        </ResponseField>

        <ResponseField name="parents" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"ded2e3a7-bae5-48cd-b4d0-d58405b67399"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"customer_orders"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"TABLE"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="asset_id" type="string">
          Example: `"ded2e3a7-bae5-48cd-b4d0-d58405b67399"`.
        </ResponseField>

        <ResponseField name="priority" type="string">
          Example: `"HIGH"`.
        </ResponseField>

        <ResponseField name="marked_as" type="string">
          Example: `"ACTIVE"`.
        </ResponseField>

        <ResponseField name="metric_id" type="string">
          Example: `"a738e99c-611d-4b7c-b0da-38a503af565e"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T18:22:42.310369+00:00"`.
        </ResponseField>

        <ResponseField name="source_type" type="string">
          Example: `"DATABRICKS"`.
        </ResponseField>

        <ResponseField name="qualified_name" type="string">
          Example: `"`main`.`qa\_data\_quality`.`customer\_orders`"`.
        </ResponseField>

        <ResponseField name="metric_detail_id" type="string">
          Example: `"c298a82a-46c5-40ac-8f77-8dbb15f989a0"`.
        </ResponseField>

        <ResponseField name="percentage_change" type="integer">
          Example: `0`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="source_name" type="string">
        Example: `"Databricks regression token test"`.
      </ResponseField>

      <ResponseField name="table_asset_id" type="string">
        Example: `"ded2e3a7-bae5-48cd-b4d0-d58405b67399"`.
      </ResponseField>

      <ResponseField name="database_asset_id" type="string">
        Example: `"385d4927-2483-4e94-a568-be425682a9a8"`.
      </ResponseField>

      <ResponseField name="schema_asset_id" type="string">
        Example: `"8de37d99-b498-443d-8e9d-a41acad0e3c4"`.
      </ResponseField>

      <ResponseField name="sla_summary" type="object">
        <ResponseField name="resolve_target" type="object">
          <ResponseField name="value" type="integer">
            Example: `5`.
          </ResponseField>

          <ResponseField name="unit" type="string">
            Example: `"minutes"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="resolve_target_label" type="string">
          Example: `"5 minutes"`.
        </ResponseField>

        <ResponseField name="elapsed_ms" type="integer">
          Example: `57567000`.
        </ResponseField>

        <ResponseField name="elapsed_label" type="string">
          Example: `"15h 59m"`.
        </ResponseField>

        <ResponseField name="remaining_ms" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="remaining_label" type="string">
          Example: `"0s"`.
        </ResponseField>

        <ResponseField name="percent_elapsed" type="number">
          Example: `100.0`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"BREACHED"`.
        </ResponseField>

        <ResponseField name="status_label" type="string">
          Example: `"BREACHED"`.
        </ResponseField>

        <ResponseField name="resolved_by" type="string">
          Example: `"2026-09-20T18:37:41.669314+00:00"`.
        </ResponseField>

        <ResponseField name="paused_at" type="string" />

        <ResponseField name="paused_time" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="paused_time_label" type="string">
          Example: `"0s"`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="criticality" type="string">
          Example: `"HIGH"`.
        </ResponseField>

        <ResponseField name="sla_state_id" type="string">
          Example: `"15d20df8-0e4d-44bc-8cc1-e861350d7723"`.
        </ResponseField>

        <ResponseField name="ai_insight" type="string">
          Example: `"The issue has been active for 10 seconds with 4 minutes and 50 seconds remaining before the SLA breach, indicating 3% of the resolve target time has been used and the SLA clock is currently on track. No pause events have been logged, so the SLA timer has been running continuously. There are no recommended action items to address at this time. Continue monitoring the issue closely to ensure resolution within the SLA timeframe."`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/issue/{issueId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get an issue by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "metric_id": "a738e99c-611d-4b7c-b0da-38a503af565e",
        "asset_id": "ded2e3a7-bae5-48cd-b4d0-d58405b67399",
        "metric_detail_id": "c298a82a-46c5-40ac-8f77-8dbb15f989a0",
        "alert_id": "fed4b1c3-e1aa-4157-a78f-d135e4ca32fb",
        "issue_ref_id": "ISU-133",
        "run_id": "96f52ec6-cf38-4823-899e-ab09e5813224",
        "description": "New metric condition failed — 198 observed vs. expected > 2",
        "status": "NEW",
        "severity": "HIGH",
        "expected_resolution": "2026-09-20T18:37:41.669314Z",
        "is_sla_breached": true,
        "qualified_name": "`main`.`qa_data_quality`.`customer_orders`",
        "asset_type": "TABLE",
        "asset_name": "customer_orders",
        "ai_insights": {
          "sla_summary": {
            "aiInsight": "The issue has been active for 10 seconds with 4 minutes and 50 seconds remaining before the SLA breach, indicating 3% of the resolve target time has been used and the SLA clock is currently on track. No pause events have been logged, so the SLA timer has been running continuously. There are no recommended action items to address at this time. Continue monitoring the issue closely to ensure resolution within the SLA timeframe.",
            "generatedAt": "2026-09-20T18:32:54.057Z"
          },
          "issue_summary": {
            "systems": [],
            "aiInsight": "A high severity data quality issue has been detected with the 'New metric', which quantifies key data insights. The issue is currently new and involves the metric condition failing, with an observed value of 198 significantly exceeding the expected threshold of greater than 2. This discrepancy triggered a high priority alert with no percentage change, indicating a critical deviation that may impact analysis and decision-making processes."
          }
        },
        "id": "50477e87-1f7f-4b29-b7af-4e86169b908a",
        "created_at": "2026-09-20T18:32:41.479931Z",
        "modified_at": "2026-09-20T18:40:23.177673Z",
        "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
        "modified_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
        "metric_name": "New metric",
        "metric_type": "custom",
        "metric_duration": "PT1.746622S",
        "metric_detail_context": "Business",
        "metric_detail_category": "Query",
        "metric_detail_subcategory": "Custom",
        "metric_detail_dimension": "Accuracy",
        "metric_detail_sigma": 0.0,
        "metric_detail_pass_criteria": {},
        "metric_detail_query": "SELECT\n  *\nFROM\n  `main`.`qa_data_quality`.`customer_orders`\nWHERE\n  `payment_method` = 'UPI'",
        "percentage_change": 0.0,
        "priority": "HIGH",
        "value": 198.0,
        "threshold": {
          "lower_threshold": 198.0,
          "upper_threshold": 198.0,
          "manual_threshold": "> 2"
        },
        "message": "New metric condition failed — 198 observed vs. expected > 2",
        "marked_as": "ACTIVE",
        "collected_at": "2026-09-20T18:22:42.310369Z",
        "alert_run_id": "96f52ec6-cf38-4823-899e-ab09e5813224",
        "source_id": "29029298-eeb0-4eae-b4c5-5c5b7cb38647",
        "source_metric_descr": "New metric is a metric that quantifies a specific aspect of data to provide measurable insight. It exists to enable consistent evaluation and comparison across relevant data points, supporting analysis and decision-making processes through a clear and standardized measurement.",
        "owner": [
          {
            "id": "329d2e0c-458c-43f6-9852-f0464551d528",
            "label": "version release",
            "owner_type": "Business",
            "owner_source": "entity",
            "is_propagated": false
          }
        ],
        "alert_clusters": [],
        "external_id": {
          "jira": {
            "id": "13400",
            "key": "KAN-338",
            "resolution_note_comment_id": "10758"
          },
          "servicenow": {
            "number": "INC0010566",
            "sys_id": "e2fd89c073e30350deceff604ab8b7df"
          }
        },
        "jira_url": "https://dqlabs-team-c3g822r8.atlassian.net",
        "servicenow_url": "https://dev427593.service-now.com/",
        "parents": [
          {
            "id": "385d4927-2483-4e94-a568-be425682a9a8",
            "name": "main",
            "type": "DATABASE"
          }
        ],
        "source_type": "DATABRICKS",
        "total_conversations": 0,
        "recent_conversations": [],
        "attachment_urls": [
          {
            "url": "https://adlsdqconnector.blob.core.windows.net/azure-databricks-unity-catalog/uc_managed_storage/assets/issue-attachment/timeline-screenshot-1789929165267.png-50ccba2f.png",
            "auto": true,
            "file_id": "dc6b3f77-173c-4fad-8fa6-3960abee1adc"
          }
        ],
        "audiences": [],
        "affected_assets": 3,
        "affected_reports": 0,
        "linked_alerts": 1,
        "action_items": [
          {
            "id": "56ba79f0-1385-4de1-bf30-8c39f3cce862",
            "status": "open",
            "issue_id": "50477e87-1f7f-4b29-b7af-4e86169b908a",
            "created_at": "2026-09-20T18:32:55.667104+00:00",
            "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
            "action_item": "Conduct an immediate impact assessment with business owners and data consumers to understand the operational consequences and prioritize remediation efforts.",
            "approved_at": null,
            "approved_by": [],
            "assigned_to": [],
            "is_ai_generated": true
          }
        ],
        "recent_alerts": [
          {
            "id": "fed4b1c3-e1aa-4157-a78f-d135e4ca32fb",
            "value": 198,
            "message": "New metric condition failed — 198 observed vs. expected > 2",
            "parents": [
              {
                "id": "ded2e3a7-bae5-48cd-b4d0-d58405b67399",
                "name": "customer_orders",
                "type": "TABLE"
              }
            ],
            "asset_id": "ded2e3a7-bae5-48cd-b4d0-d58405b67399",
            "priority": "HIGH",
            "marked_as": "ACTIVE",
            "metric_id": "a738e99c-611d-4b7c-b0da-38a503af565e",
            "created_at": "2026-09-20T18:22:42.310369+00:00",
            "source_type": "DATABRICKS",
            "qualified_name": "`main`.`qa_data_quality`.`customer_orders`",
            "metric_detail_id": "c298a82a-46c5-40ac-8f77-8dbb15f989a0",
            "percentage_change": 0
          }
        ],
        "source_name": "Databricks regression token test",
        "table_asset_id": "ded2e3a7-bae5-48cd-b4d0-d58405b67399",
        "database_asset_id": "385d4927-2483-4e94-a568-be425682a9a8",
        "schema_asset_id": "8de37d99-b498-443d-8e9d-a41acad0e3c4",
        "sla_summary": {
          "resolve_target": {
            "value": 5,
            "unit": "minutes"
          },
          "resolve_target_label": "5 minutes",
          "elapsed_ms": 57567000,
          "elapsed_label": "15h 59m",
          "remaining_ms": 0,
          "remaining_label": "0s",
          "percent_elapsed": 100.0,
          "status": "BREACHED",
          "status_label": "BREACHED",
          "resolved_by": "2026-09-20T18:37:41.669314+00:00",
          "paused_at": null,
          "paused_time": 0,
          "paused_time_label": "0s",
          "is_active": true,
          "criticality": "HIGH",
          "sla_state_id": "15d20df8-0e4d-44bc-8cc1-e861350d7723",
          "ai_insight": "The issue has been active for 10 seconds with 4 minutes and 50 seconds remaining before the SLA breach, indicating 3% of the resolve target time has been used and the SLA clock is currently on track. No pause events have been logged, so the SLA timer has been running continuously. There are no recommended action items to address at this time. Continue monitoring the issue closely to ensure resolution within the SLA timeframe."
        }
      }
    }
    ```
  </Tab>

  <Tab title="Get Issues">
    `POST /api/v1/metrics/issue/list`

    Get all issues with filtering, searching, and sorting

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="metric_id" type="string">
          Example: `"a738e99c-611d-4b7c-b0da-38a503af565e"`.
        </ResponseField>

        <ResponseField name="asset_id" type="string">
          Example: `"ded2e3a7-bae5-48cd-b4d0-d58405b67399"`.
        </ResponseField>

        <ResponseField name="metric_detail_id" type="string">
          Example: `"c298a82a-46c5-40ac-8f77-8dbb15f989a0"`.
        </ResponseField>

        <ResponseField name="alert_id" type="string">
          Example: `"fed4b1c3-e1aa-4157-a78f-d135e4ca32fb"`.
        </ResponseField>

        <ResponseField name="issue_ref_id" type="string">
          Example: `"ISU-133"`.
        </ResponseField>

        <ResponseField name="run_id" type="string">
          Example: `"96f52ec6-cf38-4823-899e-ab09e5813224"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"New metric condition failed — 198 observed vs. expected > 2"`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"NEW"`.
        </ResponseField>

        <ResponseField name="severity" type="string">
          Example: `"HIGH"`.
        </ResponseField>

        <ResponseField name="expected_resolution" type="string">
          Example: `"2026-09-20T18:37:41.669314Z"`.
        </ResponseField>

        <ResponseField name="sla_status" type="string">
          Example: `"BREACHED"`.
        </ResponseField>

        <ResponseField name="qualified_name" type="string">
          Example: `"`main`.`qa\_data\_quality`.`customer\_orders`"`.
        </ResponseField>

        <ResponseField name="asset_type" type="string">
          Example: `"TABLE"`.
        </ResponseField>

        <ResponseField name="asset_name" type="string">
          Example: `"customer_orders"`.
        </ResponseField>

        <ResponseField name="ai_insights" type="object">
          <ResponseField name="sla_summary" type="object">
            <ResponseField name="aiInsight" type="string">
              Example: `"The issue has been active for 10 seconds with 4 minutes and 50 seconds remaining before the SLA breach, indicating 3% of the resolve target time has been used and the SLA clock is currently on track. No pause events have been logged, so the SLA timer has been running continuously. There are no recommended action items to address at this time. Continue monitoring the issue closely to ensure resolution within the SLA timeframe."`.
            </ResponseField>

            <ResponseField name="generatedAt" type="string">
              Example: `"2026-09-20T18:32:54.057Z"`.
            </ResponseField>
          </ResponseField>

          <ResponseField name="issue_summary" type="object">
            <ResponseField name="systems" type="object[]" />

            <ResponseField name="aiInsight" type="string">
              Example: `"A high severity data quality issue has been detected with the 'New metric', which quantifies key data insights. The issue is currently new and involves the metric condition failing, with an observed value of 198 significantly exceeding the expected threshold of greater than 2. This discrepancy triggered a high priority alert with no percentage change, indicating a critical deviation that may impact analysis and decision-making processes."`.
            </ResponseField>
          </ResponseField>
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"50477e87-1f7f-4b29-b7af-4e86169b908a"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T18:32:41.479931Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-20T18:40:23.177673Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>

        <ResponseField name="modified_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>

        <ResponseField name="metric_name" type="string">
          Example: `"New metric"`.
        </ResponseField>

        <ResponseField name="metric_type" type="string">
          Example: `"custom"`.
        </ResponseField>

        <ResponseField name="metric_duration" type="string">
          Example: `"PT1.746622S"`.
        </ResponseField>

        <ResponseField name="metric_detail_context" type="string">
          Example: `"Business"`.
        </ResponseField>

        <ResponseField name="metric_detail_category" type="string">
          Example: `"Query"`.
        </ResponseField>

        <ResponseField name="metric_detail_subcategory" type="string">
          Example: `"Custom"`.
        </ResponseField>

        <ResponseField name="metric_detail_dimension" type="string">
          Example: `"Accuracy"`.
        </ResponseField>

        <ResponseField name="metric_detail_sigma" type="number">
          Example: `0.0`.
        </ResponseField>

        <ResponseField name="metric_detail_pass_criteria" type="object" />

        <ResponseField name="metric_detail_query" type="string">
          Example: `"SELECT\n  *\nFROM\n  `main`.`qa\_data\_quality`.`customer\_orders`\nWHERE\n  `payment\_method` = 'UPI'"`.
        </ResponseField>

        <ResponseField name="percentage_change" type="number">
          Example: `0.0`.
        </ResponseField>

        <ResponseField name="priority" type="string">
          Example: `"HIGH"`.
        </ResponseField>

        <ResponseField name="value" type="number">
          Example: `198.0`.
        </ResponseField>

        <ResponseField name="threshold" type="object">
          <ResponseField name="lower_threshold" type="number">
            Example: `198.0`.
          </ResponseField>

          <ResponseField name="upper_threshold" type="number">
            Example: `198.0`.
          </ResponseField>

          <ResponseField name="manual_threshold" type="string">
            Example: `"> 2"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="message" type="string">
          Example: `"New metric condition failed — 198 observed vs. expected > 2"`.
        </ResponseField>

        <ResponseField name="marked_as" type="string">
          Example: `"ACTIVE"`.
        </ResponseField>

        <ResponseField name="collected_at" type="string">
          Example: `"2026-09-20T18:22:42.310369Z"`.
        </ResponseField>

        <ResponseField name="alert_run_id" type="string">
          Example: `"96f52ec6-cf38-4823-899e-ab09e5813224"`.
        </ResponseField>

        <ResponseField name="source_id" type="string">
          Example: `"29029298-eeb0-4eae-b4c5-5c5b7cb38647"`.
        </ResponseField>

        <ResponseField name="source_metric_descr" type="string">
          Example: `"New metric is a metric that quantifies a specific aspect of data to provide measurable insight. It exists to enable consistent evaluation and comparison across relevant data points, supporting analysis and decision-making processes through a clear and standardized measurement."`.
        </ResponseField>

        <ResponseField name="owner" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"329d2e0c-458c-43f6-9852-f0464551d528"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"version release"`.
          </ResponseField>

          <ResponseField name="email" type="string">
            Example: `"release_version@gmail.com"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"version release"`.
          </ResponseField>

          <ResponseField name="owner_type" type="string">
            Example: `"Business"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="alert_clusters" type="object[]" />

        <ResponseField name="external_id" type="object">
          <ResponseField name="jira" type="object">
            <ResponseField name="id" type="string">
              Example: `"13400"`.
            </ResponseField>

            <ResponseField name="key" type="string">
              Example: `"KAN-338"`.
            </ResponseField>

            <ResponseField name="resolution_note_comment_id" type="string">
              Example: `"10758"`.
            </ResponseField>
          </ResponseField>

          <ResponseField name="servicenow" type="object">
            <ResponseField name="number" type="string">
              Example: `"INC0010566"`.
            </ResponseField>

            <ResponseField name="sys_id" type="string">
              Example: `"e2fd89c073e30350deceff604ab8b7df"`.
            </ResponseField>
          </ResponseField>
        </ResponseField>

        <ResponseField name="source_type" type="string">
          Example: `"DATABRICKS"`.
        </ResponseField>

        <ResponseField name="total_conversations" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="attachment_urls" type="object[]">
          <ResponseField name="url" type="string">
            Example: `"https://adlsdqconnector.blob.core.windows.net/azure-databricks-unity-catalog/uc_managed_storage/assets/issue-attachment/timeline-screenshot-1789929165267.png-50ccba2f.png"`.
          </ResponseField>

          <ResponseField name="auto" type="boolean">
            Example: `true`.
          </ResponseField>

          <ResponseField name="file_id" type="string">
            Example: `"dc6b3f77-173c-4fad-8fa6-3960abee1adc"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="audiences" type="object[]" />

        <ResponseField name="affected_assets" type="integer">
          Example: `3`.
        </ResponseField>

        <ResponseField name="affected_reports" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="linked_alerts" type="integer">
          Example: `1`.
        </ResponseField>

        <ResponseField name="action_items" type="object[]" />

        <ResponseField name="recent_alerts" type="object[]" />

        <ResponseField name="table_asset_id" type="string">
          Example: `"ded2e3a7-bae5-48cd-b4d0-d58405b67399"`.
        </ResponseField>

        <ResponseField name="database_asset_id" type="string">
          Example: `"385d4927-2483-4e94-a568-be425682a9a8"`.
        </ResponseField>

        <ResponseField name="schema_asset_id" type="string">
          Example: `"8de37d99-b498-443d-8e9d-a41acad0e3c4"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="metrics" type="object[]">
        <ResponseField name="title" type="string">
          Example: `"BUSINESS"`.
        </ResponseField>

        <ResponseField name="value" type="integer">
          Example: `30`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"Business"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `41`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/issue/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all issues with filtering, searching, and sorting",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "metric_id": "a738e99c-611d-4b7c-b0da-38a503af565e",
            "asset_id": "ded2e3a7-bae5-48cd-b4d0-d58405b67399",
            "metric_detail_id": "c298a82a-46c5-40ac-8f77-8dbb15f989a0",
            "alert_id": "fed4b1c3-e1aa-4157-a78f-d135e4ca32fb",
            "issue_ref_id": "ISU-133",
            "run_id": "96f52ec6-cf38-4823-899e-ab09e5813224",
            "description": "New metric condition failed — 198 observed vs. expected > 2",
            "status": "NEW",
            "severity": "HIGH",
            "expected_resolution": "2026-09-20T18:37:41.669314Z",
            "sla_status": "BREACHED",
            "qualified_name": "`main`.`qa_data_quality`.`customer_orders`",
            "asset_type": "TABLE",
            "asset_name": "customer_orders",
            "ai_insights": {
              "sla_summary": null,
              "issue_summary": null
            },
            "id": "50477e87-1f7f-4b29-b7af-4e86169b908a",
            "created_at": "2026-09-20T18:32:41.479931Z",
            "modified_at": "2026-09-20T18:40:23.177673Z",
            "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
            "modified_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b",
            "metric_name": "New metric",
            "metric_type": "custom",
            "metric_duration": "PT1.746622S",
            "metric_detail_context": "Business",
            "metric_detail_category": "Query",
            "metric_detail_subcategory": "Custom",
            "metric_detail_dimension": "Accuracy",
            "metric_detail_sigma": 0.0,
            "metric_detail_pass_criteria": {},
            "metric_detail_query": "SELECT\n  *\nFROM\n  `main`.`qa_data_quality`.`customer_orders`\nWHERE\n  `payment_method` = 'UPI'",
            "percentage_change": 0.0,
            "priority": "HIGH",
            "value": 198.0,
            "threshold": {
              "lower_threshold": 198.0,
              "upper_threshold": 198.0,
              "manual_threshold": "> 2"
            },
            "message": "New metric condition failed — 198 observed vs. expected > 2",
            "marked_as": "ACTIVE",
            "collected_at": "2026-09-20T18:22:42.310369Z",
            "alert_run_id": "96f52ec6-cf38-4823-899e-ab09e5813224",
            "source_id": "29029298-eeb0-4eae-b4c5-5c5b7cb38647",
            "source_metric_descr": "New metric is a metric that quantifies a specific aspect of data to provide measurable insight. It exists to enable consistent evaluation and comparison across relevant data points, supporting analysis and decision-making processes through a clear and standardized measurement.",
            "owner": [
              {
                "id": "329d2e0c-458c-43f6-9852-f0464551d528",
                "name": "version release",
                "email": "release_version@gmail.com",
                "label": "version release",
                "owner_type": "Business"
              }
            ],
            "alert_clusters": [],
            "external_id": {
              "jira": null,
              "servicenow": null
            },
            "source_type": "DATABRICKS",
            "total_conversations": 0,
            "attachment_urls": [
              {
                "url": "https://adlsdqconnector.blob.core.windows.net/azure-databricks-unity-catalog/uc_managed_storage/assets/issue-attachment/timeline-screenshot-1789929165267.png-50ccba2f.png",
                "auto": true,
                "file_id": "dc6b3f77-173c-4fad-8fa6-3960abee1adc"
              }
            ],
            "audiences": [],
            "affected_assets": 3,
            "affected_reports": 0,
            "linked_alerts": 1,
            "action_items": [],
            "recent_alerts": [],
            "table_asset_id": "ded2e3a7-bae5-48cd-b4d0-d58405b67399",
            "database_asset_id": "385d4927-2483-4e94-a568-be425682a9a8",
            "schema_asset_id": "8de37d99-b498-443d-8e9d-a41acad0e3c4"
          }
        ],
        "metrics": [
          {
            "title": "BUSINESS",
            "value": 30,
            "type": "Business"
          }
        ],
        "total_count": 41
      }
    }
    ```
  </Tab>

  <Tab title="Update Issue">
    `PUT /api/v1/metrics/issue/{issueId}`

    Update an issue

    **Path Parameters**

    <ParamField path="issueId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/issue/{issueId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update an issue",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Issue">
    `DELETE /api/v1/metrics/issue/{issueId}`

    Delete an issue

    **Path Parameters**

    <ParamField path="issueId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/issue/{issueId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete an issue",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
